Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Location_Node Class Reference

Keep track of where a shared library is located. More...

`#include <Parse_Node.h>`

Inheritance diagram for ACE_Location_Node:

[legend]
Collaboration diagram for ACE_Location_Node:

[legend]
List of all members.

## Public Methods
| ACE_Location_Node (void)
virtual void * | symbol (int &yyerrno, ACE_Service_Object_Exterminator *=0)=0
virtual void | set_symbol (void *h)
const ACE_DLL & | dll (void)
const ACE_TCHAR * | pathname (void) const
void | pathname (const ACE_TCHAR *h)
int | dispose (void) const
virtual | ~ACE_Location_Node (void)
void | dump (void) const
| Dump the state of an object. More...
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks. More...
## Protected Methods
int | open_dll (int &yyerrno)
## Protected Attributes
const ACE_TCHAR * | pathname_
| Pathname to the shared library we are working on. More...
int | must_delete_
| Flag indicating whether the Service_Object generated by this Location Node should be deleted or not (ACE_Service_Type::DELETE_OBJ.). More...
ACE_DLL | dll_
| The open shared library. More...
void * | symbol_
| Symbol that we've obtained from the shared library. More...

## Detailed Description

Keep track of where a shared library is located.

Note:
  This class is only meant for INTERNAL use by ACE.

## Constructor & Destructor Documentation

ACE_Location_Node::ACE_Location_Node | ( | void |  | ) |

ACE_Location_Node::~ACE_Location_Node | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int ACE_Location_Node::dispose | ( | void |  | ) | const

const ACE_DLL & ACE_Location_Node::dll | ( | void |  | ) |

void ACE_Location_Node::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented in ACE_Object_Node, ACE_Function_Node, and ACE_Static_Function_Node.

int ACE_Location_Node::open_dll | ( | int & | yyerrno | ) | `[protected]`

void ACE_Location_Node::pathname | ( | const ACE_TCHAR * | p | ) |

const ACE_TCHAR * ACE_Location_Node::pathname | ( | void |  | ) | const

void ACE_Location_Node::set_symbol | ( | void * | s | ) | `[virtual]`

virtual void* ACE_Location_Node::symbol | ( | int & | yyerrno,
|  | ACE_Service_Object_Exterminator * | gobbler = 0
| ) | `[pure virtual]`

| Reimplemented in ACE_Object_Node, ACE_Function_Node, and ACE_Static_Function_Node.

## Member Data Documentation

ACE_Location_Node::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented in ACE_Object_Node, ACE_Function_Node, and ACE_Static_Function_Node.

ACE_DLL ACE_Location_Node::dll_`[protected]`

| The open shared library.

int ACE_Location_Node::must_delete_`[protected]`

| Flag indicating whether the Service_Object generated by this Location Node should be deleted or not (ACE_Service_Type::DELETE_OBJ.).

const ACE_TCHAR* ACE_Location_Node::pathname_`[protected]`

| Pathname to the shared library we are working on.

void* ACE_Location_Node::symbol_`[protected]`

| Symbol that we've obtained from the shared library.

The documentation for this class was generated from the following files:

- Parse_Node.h
- Parse_Node.cpp